# Contributing Guidelines

😁 🎉 Thank you for taking the time to contribute! 😁 🎉

The following is a set of guidelines for contributing to QuaC.

- [Contributing Guidelines](#contributing-guidelines)
  - [Contributing](#contributing)
  - [Reporting Issues](#reporting-issues)
  - [Seeking Support](#seeking-support)

---

## Contributing

To get started on contributing to QuaC:

- Follow [Code of Conduct](https://www.contributor-covenant.org/version/2/1/code_of_conduct/)
- Read these **Contributing Guidelines** to completion
- Choose an existing feature/bug listed under [issues](https://github.com/uab-cgds-worthey/quac/issues). If the
  feature/bug is not listed under issues, create a new issue.
- Fork and create a new branch for your work.
- Submit a pull request with adequate documentation of functionality and changes made. Ensure the PR description clearly
describes the problem and solution. Include the relevant issue number.

## Reporting Issues

If you encounter a bug while using the project, we want to hear about it! Here's how to report a bug:

  1. Check the [existing issues](https://github.com/uab-cgds-worthey/quac/issues) to see if the bug has already been
   reported.
  2. If the bug has not already been reported, create a new issue by clicking the "New Issue" button on the [issues
   page](https://github.com/uab-cgds-worthey/quac/issues) and click "Get started" for a "🐞 Bug Report".
  3. In the 🐞 Bug Report template, provide a clear and concise description of the bug, including any error messages
   that you encountered and steps to reproduce the bug in a specific environment.
  4. If possible, include any relevant details such as the version of the project you are using, your operating system,
   and any other relevant information that may help to reproduce and fix the bug.

---

## Seeking Support

For support in setting up and using QuaC, please contact us via [GitHub
Issues](https://github.com/uab-cgds-worthey/quac/issues).
